
D4Science Infrastructure - Incident #1418

Incident # 1402 (Closed): Computational output is not visualised on StatMan on services.d4science.org

User gianpaolo.coro not able to access storage service when using services Gateway
Status: Closed Start date: Nov 18, 2015

Priority: Urgent Due date:  

Assignee: Massimiliano Assante % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

I created the ticket as a follow up of #1402 to investigate why the User gianpaolo.coro is not able to access storage service when

using services.d4science.org while it is able on the other gateways

History

#1 - Nov 18, 2015 05:01 PM - Massimiliano Assante

- Status changed from New to In Progress

@roberto.cirillo@isti.cnr.it we need your collaboration to investigate this problem, in particular you should check the storage logs when

@gianpaolo.coro@isti.cnr.it access the Workspace from services.d4science.org

I double checked the libraries of the storage for services.d4science.org and they are exactly the same of the other gateways where the problem does

not occur. Without the storage logs i cannot proceed on the investigation of the problem

#2 - Nov 18, 2015 05:02 PM - Massimiliano Assante

- Status changed from In Progress to Paused

- % Done changed from 0 to 30

Pausing the ticket until @roberto.cirillo@isti.cnr.it is not able to provide feedback on the storage service logs

#3 - Nov 18, 2015 07:11 PM - Pasquale Pagano

- Priority changed from High to Urgent

#4 - Nov 19, 2015 12:12 PM - Roberto Cirillo

- Status changed from Paused to In Progress

#5 - Nov 19, 2015 04:24 PM - Roberto Cirillo

I don't see any storage log portal side for user gianpaolo.coro  while I see the storage logs for other users. It seems that the call doesn't arrive to the

storage-manager library for user gianpoalo.coro. The libraries are the same in each portal but I've notice that the service.d4science.org has been

restarted 5 days before imarine gateway. Could this be the cause of the problem? If possible, I suggest to restart service.d4science.org.

#6 - Nov 19, 2015 05:14 PM - Massimiliano Assante

Roberto Cirillo wrote:

I don't see any storage log portal side for user gianpaolo.coro  while I see the storage logs for other users. It seems that the call doesn't arrive to

the storage-manager library for user gianpoalo.coro. >The libraries are the same in each portal but I've notice that the service.d4science.org has

been restarted 5 days before imarine gateway. Could this be the cause of the problem? If possible, I suggest >to restart service.d4science.org.

 I would say that it would be very weird if that is the cause of the problem. Before restarting the portal we need to understand where the call gets

blocked, it is clear that if the storage is not contacted at all then the call gets stuck somewhere before, so I suggest to follow the flow of the code to

understand where the problem is.

#7 - Nov 20, 2015 10:04 AM - Roberto Cirillo

- % Done changed from 30 to 100
From the logs it seems that the HL fails to istantiate correctly the storage manager for user gianpaolo.coro. Anyway, after the restart the problem is

solved.

#8 - Nov 23, 2015 10:04 AM - Massimiliano Assante

- Status changed from In Progress to Closed
